Masumi Logo

/x402-budgets

Lists per-API-key spend budgets for managed x402 wallets, optionally filtered by API key.

GET
/x402/budgets
token<token>

API key authentication via header (token)

In: header

Query Parameters

apiKeyId?string

Filter budgets to a single API key

Response Body

application/json

curl -X GET "https://loading/./../api/v1/x402/budgets"
{
  "status": "success",
  "data": {
    "Budgets": [
      {
        "id": "clx402budget0001",
        "apiKeyId": "api_key_id",
        "evmWalletId": "clmanagedwallet0001",
        "evmWalletAddress": "0x1111111111111111111111111111111111111111",
        "caip2Network": "eip155:8453",
        "asset": "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
        "remainingAmount": "1000000",
        "spentAmount": "0",
        "createdById": "api_key_id",
        "createdAt": "2026-06-02T12:00:00.000Z",
        "updatedAt": "2026-06-02T12:00:00.000Z"
      }
    ]
  }
}
Masumi Kanji